Bug 990793 - Migrating model to use model_id
Migrating model to use model_id
Status: CLOSED EOL
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tony Fu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 23:10 EDT by Tony Fu
Modified: 2015-07-07 02:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-07 02:54:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Fu 2013-07-31 23:10:47 EDT
Description of problem:

Like we have done for vendor/make, we need to user model id to link hardware model.  This bug probably should include the following parts

1. Clean up existing models (maybe vendor and make as well).  At the moment, we have many incorrect/unused vendors/makes/models.  If we don't clean them up before moving model to model id, the model table can become unnecessarily big.

2. Add an admin page to manage models

3. Change catalog code to start using model id
Comment 10 Huan Zhang 2013-10-30 04:14:11 EDT
Defer this to 5.3.

Note You need to log in before you can comment on or make changes to this bug.